//C/C++ Function Prototype Declarations

// ******************************************************
//	Prototypes:	Control Functions
// ******************************************************

int   mdOpen ( HWND hwnd, LPSTR lpszFileName, int nX, int nY, int nW, int nH, DWORD dwBeg, long lEnd, int nType, BOOL bPreload ); 

int   mdOpenLite ( HWND hwnd, LPSTR lpszFileName, int nX, int nY, BOOL bCtrl );
                                     
int   mdClose ( int nDevHandle );
void  mdPlay ( int nDevHandle, BOOL bMakeModal );
void  mdPause ( int nDevHandle );
void  mdStep ( int nDevHandle );
void  mdStop ( int nDevHandle );

void  mdHide ( int nDevHandle );
void  mdShow ( int nDevHandle );
void  mdHideVideo ( int nDevHandle );
void  mdShowVideo ( int nDevHandle );
void  mdHideCtrl ( int nDevHandle );
void  mdShowCtrl ( int nDevHandle );

void  mdGotoFrame ( int nDevHandle, DWORD dwNewFrame );
void  mdRewind ( int nDevHandle );
void  mdRestart ( int nDevHandle );


// ******************************************************
//	Prototypes:	Parameter Setting Functions
// ******************************************************
void mdSetClip ( int nDevHandle, DWORD dwBeg, DWORD dwEnd );

void mdSetWinPos ( int nDevHandle, int XPos, int YPos );
void mdSetWinSize ( int nDevHandle, int Width, int Height );

void mdSetVideoWinPos ( int nDevHandle, int XPos, int YPos );
void mdSetVideoWinSize ( int nDevHandle, int Width, int Height );

void mdSetCtrlWinPos ( int nDevHandle, int XPos, int YPos );
void mdSetCtrlWinSize ( int nDevHandle, int Width );

void mdSetWindowMoveable ( int nDevHandle, BOOL bMoveFlag );
void mdSetWindowInteractive ( int nDevHandle, BOOL bInterFlag );
void mdSetAudioLevel ( int nDevHandle, int nLevel );
void mdSetAudioMute ( int nDevHandle );

void mdSetCtrlType ( int nDevHandle, int nType );

void mdSetVideoOffset ( int nDevHandle, int nDown, int nRight);

void mdSetWinBottom ( int nDevHandle );
void mdSetWinTop ( int nDevHandle );

void mdSetNewParent ( int nDevHandle, HWND hwndNewParent );
void mdSetWinAspect ( int nDevHandle, int nXIn, int nYIn, int nWidthIn, int nHeightIn, int nJustify, BOOL bLimit );

void mdSetClippingRegion ( int nDevHandle, int nXIn, int nYIn, int nWidthIn, int nHeightIn, int nDisplayFlag );
void mdSetVideoPalette ( BOOL bPalFlag );

// ******************************************************
//	Prototypes:	Information Functions
// ******************************************************
int   mdGetFileType ( int nDevHandle );
HWND  mdGetWindowHandle ( int nDevHandle );
WORD  mdGetDeviceId ( int nDevHandle );
DWORD mdGetFrame ( int nDevHandle );
DWORD mdGetClipFrame ( int nDevHandle );
DWORD mdGetLength ( int nDevHandle );
DWORD mdGetClipLength ( int nDevHandle );

int   mdGetPlayState ( int nDevHandle );
int   mdGetDisplayState ( int nDevHandle );

void  mdGetWinPos( int nDevHandle, int far * XPos, int far * YPos );
void  mdGetWinSize( int nDevHandle, int far * Width, int far * Height );

int   mdGetWinX( int nDevHandle );
int   mdGetWinY( int nDevHandle );
int   mdGetWinWidth( int nDevHandle );
int   mdGetWinHeight( int nDevHandle );

void  mdGetVideoWinPos( int nDevHandle, int far * XPos, int far * YPos );
void  mdGetVideoWinSize( int nDevHandle, int far * Width, int far * Height );

int   mdGetVideoWinX( int nDevHandle );
int   mdGetVideoWinY( int nDevHandle );
int   mdGetVideoWinWidth( int nDevHandle );
int   mdGetVideoWinHeight   ( int nDevHandle );

void  mdGetCtrlWinPos( int nDevHandle, int far * XPos, int far * YPos );
void  mdGetCtrlWinSize( int nDevHandle, int far * Width );

int   mdGetCtrlWinX( int nDevHandle );
int   mdGetCtrlWinY( int nDevHandle );
int   mdGetCtrlWinWidth( int nDevHandle );

int   mdGetAreaClicked( int nDevHandle );  

int   mdGetOpenFileCount( void );

void  mdAbout( void );

// ******************************************************
//	Prototypes:	Graphic Loading and Displaying Functions
// ******************************************************
int   mdShowGraphic ( int nDevHandle, BOOL bUsePalette );
int   mdShowGraphicPos ( int nDevHandle, int nXPosIn, int nYPosIn, int nWidthIn, int nHeightIn, BOOL bUsePalette );
int   mdOpenGraphic ( int nDevHandle, LPSTR FileNameIn );
int   mdOpenGraphicKeep ( int nDevHandle, LPSTR FileNameIn );
void  mdCloseGraphic ( int nDevHandle );
void  mdHideGraphic ( int nDevHandle );
BOOL  mdDisplayGraphic ( int nDevHandle, LPSTR lpszBMFileNameIn, int nX, int nY, BOOL bUsePalette );


// ******************************************************
//	Prototypes:	Miscellaneous Functions
// ******************************************************
void  mdTimedDelay ( float fSeconds );
BOOL  mdFileDoesNotExist ( LPSTR lpszFileToCheck );
BOOL  mdFileDoesExist ( LPSTR lpszFileToCheck );
void  mdDisplayErrorMsgs ( BOOL bErrMsgFlag );

  
// ******************************************************
//	Prototypes:	Cursor Setting Functions
// ******************************************************
void mdSetCursor ( int nCursorNo );
void mdSetVideoCursor ( int nCursorNo );
void mdSetCtrlCursor ( int nCursorNo );
void mdResetCursor ( void );
void mdResetVideoCursor ( void );
void mdResetCtrlCursor ( void );
